#!/bin/bash
#
# Copyright 2005-2012 Nexenta Systems, Inc.  All rights reserved.
# Use is subject to license terms.
#
# Installation script generated by bootstrap.sh

PATH=/usr/gnu/bin:/bin:/sbin:/usr/sbin:/usr/local/bin:/usr/local/sbin
export PATH

test "x$1" = x && exit 1
test "x$2" = x && exit 1
test "x$3" = x && exit 1

#export BOOTSTRAP_DEBPATHS=$2/debpaths
#export FAKEROOT=yes

if test "x$3" = "x1"; then
	mkdir -p /tmp/apt-archive.$$
	mkdir -p $1/var/cache/apt/archives/partial
	mount -F lofs /tmp/apt-archive.$$ $1/var/cache/apt/archives
fi
mkdir -p $1$2
mount -F lofs $2 $1$2


# required.lst and base.lst are symbolic links to the
# selected user profile
export APTINST=$(cat $2/aptinst.lst)
LOG="/tmp/install-base-debootstrap.log"
PKGSLOG="/tmp/installed_pkgs.log"

. $2/defaults

echo "Starting ..." >> $LOG
date >> $LOG
cat /etc/issue >> $LOG

TARGET="$1"

PKGSPATH="$2"

APT_GET="apt-get -R $TARGET"
#echo "deb file:///usr/illumian/ ${_KS_apt_name} main contrib non-free" > $1/etc/apt/sources.list
#echo "deb file:///usr/instarch/ ${_KS_apt_name} main contrib non-free" > $TARGET/etc/apt/sources.list

echo "$APT_GET update" | tee -a $LOG
$APT_GET update 2>&1 | tee -a $LOG

echo "$APT_GET install -y --force-yes sunwcsd"  | tee -a $LOG
$APT_GET install -y --force-yes sunwcsd 2>&1 | tee -a $LOG
echo "$APT_GET install -y --force-yes sunwcs bash dpkg system-kernel"  | tee -a $LOG
$APT_GET install -y --force-yes sunwcs bash dpkg system-kernel 2>&1 | tee -a $LOG 

echo "$APT_GET install -y --force-yes $APTINST" | tee -a $LOG
$APT_GET install -y --force-yes $APTINST 2>&1 | tee -a $LOG 

#chroot $1 $chrootenv crle -u 2>&1 | tee -a $LOG
#chroot $1 $chrootenv crle -64 -u 2>&1 | tee -a $LOG

for pid in `ps -ef|nawk '/devfsadmd/ {print $2}'`; do
	if pfiles $pid 2>/dev/null | grep $1 >/dev/null; then
		kill -9 $pid 2>/dev/null
		break
	fi
done

sleep 2
umount $1/devices 2>/dev/null
umount -f $1$2 2>/dev/null
if test "x$3" = "x1"; then
	umount -f $1/var/cache/apt/archives
	rm -rf /tmp/apt-archive.$$
fi

#cp -f $1/debootstrap/debootstrap.log $1/root
cp $LOG $1/root
cp $PKGSLOG $1/root

# temporary fixes
#mkdir -p $1/usr/perl5/bin
#cd $1/usr/perl5/bin; ln -sf /usr/bin/perl perl

# ntp client config
echo "Configuring NTP service ..." | tee -a $LOG
NTPCONFCONF="$1/etc/inet/ntp.conf"
echo "driftfile /etc/inet/ntp.drift" > $NTPCONFCONF
echo "server pool.ntp.org # default" >> $NTPCONFCONF
echo "server 0.pool.ntp.org" >> $NTPCONFCONF
echo "server 1.pool.ntp.org" >> $NTPCONFCONF
echo "server 2.pool.ntp.org" >> $NTPCONFCONF

# update locale
echo "Local updates ..." | tee -a $LOG
echo "LANG=en_US.UTF-8" >> "$1/etc/default/init"

exit 0
